/*-------------------- BEGIN small_cu_integrate.h BEGIN -------------------*/
/* @file small_cu_integrate.h                                              */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:44:03.870525                                        */
/* @brief Interface to time stepping integrator                            */
/*                                                                         */
/* Definitions of interface functions for the Kppa-generated               */
/* time stepping integrator.  These are the Kppa "entry point" routines.   */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_CU_INTEGRATE_H__
#define __SMALL_CU_INTEGRATE_H__

#ifdef __cplusplus
extern "C" {
#endif


/*----------------------------- GridIntegrate -----------------------------*/
/* Applies the Kppa-generated integrator to the grid                       */
/*                                                                         */
/* @param[in]     ncells Number of grid cells                              */
/* @param[in,out] conc   Species concentrations                            */
/* @param[in]     tstart Integration start time                            */
/* @param[in]     tend   Integration end time                              */
/* @param[in]     abstol Absolute integration tolerances for variable species */
/* @param[in]     reltol Relative integration tolerances for variable species */
/* @param[in,out] idata  Integer integration in/out parameters             */
/* @param[in,out] rdata  Real value integration in/out parameters          */
/* @param[out]    lastH  Last timestep in each grid cell                   */
/*-------------------------------------------------------------------------*/
void GridIntegrate(unsigned long const ncells, float conc[], float const
        tstart, float const tend, float abstol[5], float reltol[5], int
        idata[20], float rdata[20], float lastH[]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_CU_INTEGRATE_H__ */
/*---------------------- END small_cu_integrate.h END ---------------------*/
