/*---------------------- BEGIN small_function.h BEGIN ---------------------*/
/* @file small_function.h                                                  */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:44:04.049084                                        */
/* @brief The ODE function of the chemical model                           */
/*                                                                         */
/* The ODE function of the chemical model                                  */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_FUNCTION_H__
#define __SMALL_FUNCTION_H__

#ifdef __cplusplus
extern "C" {
#endif


/*---------------------------------- Fun ----------------------------------*/
/* The ODE function of the chemical model                                  */
/*                                                                         */
/* @param[in]     ncells32 A multiple of 32 grid cells                     */
/* @param[in]     d_var    Variable species concentrations in device memory */
/* @param[in]     d_fix    Fixed species concentrations in device memory   */
/* @param[in]     d_rct    Reaction rates in device memory                 */
/* @param[out]    d_vardot The ODE function in device memory               */
/*-------------------------------------------------------------------------*/
void Fun(unsigned long const ncells32, float d_var[], float d_fix[], float
        d_rct[], float d_vardot[]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_FUNCTION_H__ */
/*------------------------ END small_function.h END -----------------------*/
