!-------------------- BEGIN small_integrate.f90 BEGIN ---------------------
! @file small_integrate.f90                                                
! @author jlinford                                                         
! @date 2012-06-22 15:44:04.221299                                         
! @brief Interface to time stepping integrator                             
!                                                                          
! Definitions of interface functions for the Kppa-generated                
! time stepping integrator.  These are the Kppa "entry point" routines.    
!                                                                          
! This file was generated by Kppa: http://www.paratools.com/Kppa           
!--------------------------------------------------------------------------



MODULE small_integrate

    IMPLICIT NONE


    INTERFACE
    SUBROUTINE GridIntegrate(ncells, conc, tstart, tend, abstol, reltol, &
            idata, rdata, lastH) BIND(C, name="GridIntegrate")

        USE ISO_C_BINDING, ONLY: C_FLOAT, C_INT
        USE small_parameters, ONLY: NVAR

        INTEGER(C_INT), VALUE, INTENT(IN) :: ncells
        REAL(C_FLOAT), INTENT(INOUT) :: conc(NVAR*ncells)
        REAL(C_FLOAT), VALUE, INTENT(IN) :: tstart
        REAL(C_FLOAT), VALUE, INTENT(IN) :: tend
        REAL(C_FLOAT), INTENT(IN) :: abstol(NVAR)
        REAL(C_FLOAT), INTENT(IN) :: reltol(NVAR)
        INTEGER(C_INT), INTENT(INOUT) :: idata(20)
        REAL(C_FLOAT), INTENT(INOUT) :: rdata(20)
        REAL(C_FLOAT), INTENT(OUT) :: lastH(ncells)

    END SUBROUTINE GridIntegrate
    END INTERFACE


END MODULE small_integrate

!---------------------- END small_integrate.f90 END -----------------------
