/*---------------------- BEGIN small_jacobian.h BEGIN ---------------------*/
/* @file small_jacobian.h                                                  */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:44:04.215384                                        */
/* @brief The Jacobian of the chemical model                               */
/*                                                                         */
/* The Jacobian of the chemical model                                      */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_JACOBIAN_H__
#define __SMALL_JACOBIAN_H__

#ifdef __cplusplus
extern "C" {
#endif


/*---------------------------------- Jac ----------------------------------*/
/* The Jacobian of variable species                                        */
/*                                                                         */
/* @param[in]     ncells32 A multiple of 32 grid cells                     */
/* @param[in]     d_var    Variable species concentrations in device memory */
/* @param[in]     d_fix    Fixed species concentrations in device memory   */
/* @param[in]     d_rct    Reaction rates in device memory                 */
/* @param[out]    d_sjac   The row-compressed sparse Jacobian in device memory */
/*-------------------------------------------------------------------------*/
void Jac(unsigned long const ncells32, float d_var[], float d_fix[], float
        d_rct[], float d_sjac[]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_JACOBIAN_H__ */
/*------------------------ END small_jacobian.h END -----------------------*/
