!-------------------- BEGIN small_parameters.f90 BEGIN --------------------
! @file small_parameters.f90                                               
! @author jlinford                                                         
! @date 2012-06-22 15:44:03.770863                                         
! @brief Program parameters                                                
!                                                                          
! Integration tolerances, program constants, and species indices.          
!                                                                          
! This file was generated by Kppa: http://www.paratools.com/Kppa           
!--------------------------------------------------------------------------


MODULE small_parameters


    IMPLICIT NONE


!--------------------------------------------------------------------------
! Integration tolerances                                                   
!--------------------------------------------------------------------------

    ! Absolute tolerance 
    REAL(4), PARAMETER :: ATOLS = 1.0
    ! Relative tolerance 
    REAL(4), PARAMETER :: RTOLS = 0.001


!--------------------------------------------------------------------------
! Concentration constants                                                  
!--------------------------------------------------------------------------

    ! Conversion factor 
    REAL(4), PARAMETER :: CFACTOR = 1.0
    ! Default initialization value for variable species 
    REAL(4), PARAMETER :: VAR_DEFAULT = 0.0
    ! Default initialization value for fixed species 
    REAL(4), PARAMETER :: FIX_DEFAULT = 0.0


!--------------------------------------------------------------------------
! Program constants                                                        
!--------------------------------------------------------------------------

    ! Species count 
    INTEGER, PARAMETER :: NSPEC = 7
    ! Variable species count 
    INTEGER, PARAMETER :: NVAR = 5
    ! Fixed species count 
    INTEGER, PARAMETER :: NFIX = 2
    ! Active variable species count 
    INTEGER, PARAMETER :: NVARACT = 5
    ! Reaction (equation) count 
    INTEGER, PARAMETER :: NREACT = 10
    ! Number of nonzero entries in the Jacobian 
    INTEGER, PARAMETER :: NONZERO = 19
    ! Number of nonzero entries in the LU decomposition of the Jacobian 
    INTEGER, PARAMETER :: LU_NONZERO = 19


!--------------------------------------------------------------------------
! Numerical constants                                                      
!--------------------------------------------------------------------------

    REAL(4), PARAMETER :: ZERO = 0.0
    REAL(4), PARAMETER :: HALF = 0.5
    REAL(4), PARAMETER :: ONE = 1.0
    REAL(4), PARAMETER :: TWO = 2.0


!--------------------------------------------------------------------------
! Variable species indices                                                 
!--------------------------------------------------------------------------

    INTEGER, PARAMETER :: IND_O1D = 0
    INTEGER, PARAMETER :: IND_O = 1
    INTEGER, PARAMETER :: IND_O3 = 2
    INTEGER, PARAMETER :: IND_NO = 3
    INTEGER, PARAMETER :: IND_NO2 = 4


!--------------------------------------------------------------------------
! Fixed species indices                                                    
!--------------------------------------------------------------------------

    INTEGER, PARAMETER :: IND_M = 5
    INTEGER, PARAMETER :: IND_O2 = 6


END MODULE small_parameters
!---------------------- END small_parameters.f90 END ----------------------
