/*----------------------- BEGIN small_rates.h BEGIN -----------------------*/
/* @file small_rates.h                                                     */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:44:03.966496                                        */
/* @brief Reaction rate calculation and utility functions                  */
/*                                                                         */
/* Reaction rate calculation and utility functions                         */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_RATES_H__
#define __SMALL_RATES_H__

#ifdef __cplusplus
extern "C" {
#endif


/*--------------------------------- Rates ---------------------------------*/
/* Calculates reaction rate coefficients                                   */
/*                                                                         */
/* @param[in]     ncells32 A multiple of 32 grid cells                     */
/* @param[in]     time     Integration time                                */
/* @param[in]     idx      Current grid cell index                         */
/* @param[out]    d_rct    Reaction rates in device memory                 */
/*-------------------------------------------------------------------------*/
void Rates(unsigned long const ncells32, float const time, unsigned long
        const idx, float d_rct[]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_RATES_H__ */
/*------------------------- END small_rates.h END -------------------------*/
