/*----------------------- BEGIN small_solve.h BEGIN -----------------------*/
/* @file small_solve.h                                                     */
/* @author jlinford                                                        */
/* @date 2012-06-22 15:44:04.128689                                        */
/* @brief Solve Ax=b by forward-backward substitution                      */
/*                                                                         */
/* Solve Ax=b by forward-backward substitution                             */
/*                                                                         */
/* This file was generated by Kppa: http://www.paratools.com/Kppa          */
/*-------------------------------------------------------------------------*/

#ifndef __SMALL_SOLVE_H__
#define __SMALL_SOLVE_H__

#ifdef __cplusplus
extern "C" {
#endif


/*--------------------------------- Solve ---------------------------------*/
/* Solve Ax=b in place by back substitution                                */
/*                                                                         */
/* @param[in]     ncells32 A multiple of 32 grid cells                     */
/* @param[in]     d_A      Row-compressed matrix with zero fill in device memory */
/* @param[in,out] d_x      Input and solution vector in device memory      */
/*-------------------------------------------------------------------------*/
void Solve(unsigned long const ncells32, float d_A[], float d_x[]);



#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __SMALL_SOLVE_H__ */
/*------------------------- END small_solve.h END -------------------------*/
